Page MenuHomePhabricator

decom magnesium (was: Reinstall magnesium with jessie)
Closed, ResolvedPublic

Description

magnesium is still on precise and should be reinstalled with jessie. This also involves an RT update from 4.0.4 to 4.2.8

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedCmjohnson
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedRobH
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedQgil
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
ResolvedQgil
Resolvedgpaumier
ResolvedAklapper
ResolvedDzahn
ResolvedDzahn
DeclinedNone
ResolvedRobH
DuplicateRobH
DeclinedRobH

Event Timeline

MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff raised the priority of this task from to Needs Triage.
MoritzMuehlenhoff added a project: Operations.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 11:27 AM
Dzahn added a subscriber: Dzahn.EditedJan 15 2016, 11:23 PM

The plan is already to move RT to a VM as well and all other services have been removed to be able to reclaim magnesium.

--> T119112

This is also waiting on T118176

Dzahn claimed this task.Jan 21 2016, 1:11 AM
Dzahn triaged this task as Normal priority.Jan 22 2016, 8:27 PM
Dzahn renamed this task from Reinstall magnesium with jessie to decom magnesieum (was: Reinstall magnesium with jessie).Feb 1 2016, 10:27 PM
Dzahn set Security to None.
Dzahn renamed this task from decom magnesieum (was: Reinstall magnesium with jessie) to decom magnesium (was: Reinstall magnesium with jessie).Feb 6 2016, 12:24 AM
Dzahn changed the task status from Open to Stalled.
Dzahn removed Dzahn as the assignee of this task.Mar 31 2016, 1:02 AM
Dzahn changed the status of subtask T119112: move RT off of magnesium from Open to Stalled.Mar 31 2016, 1:27 AM
Dzahn claimed this task.Apr 20 2016, 4:13 AM

also blocked on T38 currently

Dzahn removed Dzahn as the assignee of this task.

Change 285688 had a related patch set uploaded (by Dzahn):
introduce ununpentium.wm.org

https://gerrit.wikimedia.org/r/285688

Change 285688 merged by Dzahn:
introduce ununpentium.wm.org

https://gerrit.wikimedia.org/r/285688

Mentioned in SAL [2016-04-27T18:56:20Z] <mutante> creating VM ununpentium on ganeti/eqiad (T123713)

Change 285705 had a related patch set uploaded (by Dzahn):
add ununpentium to site.pp as test::system, DHCP/netboot

https://gerrit.wikimedia.org/r/285705

Change 285705 merged by Dzahn:
add ununpentium to site.pp as test::system, DHCP/netboot

https://gerrit.wikimedia.org/r/285705

Dzahn claimed this task.Apr 28 2016, 1:23 AM

Change 285894 had a related patch set uploaded (by Dzahn):
RT: add role on ununpentium, disable acme, add IPv6

https://gerrit.wikimedia.org/r/285894

Change 285894 merged by Dzahn:
RT: add role on ununpentium, disable acme, add IPv6

https://gerrit.wikimedia.org/r/285894

Dzahn changed the task status from Stalled to Open.Apr 28 2016, 1:54 AM

Change 285896 had a related patch set uploaded (by Dzahn):
RT: include standard in ununpentium

https://gerrit.wikimedia.org/r/285896

Change 285896 merged by Dzahn:
RT: include standard in ununpentium

https://gerrit.wikimedia.org/r/285896

Dzahn changed the status of subtask T119112: move RT off of magnesium from Stalled to Open.Apr 29 2016, 5:20 AM
Dzahn added a comment.Jun 2 2016, 5:51 PM

this is now unblocked. just waiting 24 hours

Change 292421 had a related patch set uploaded (by Dzahn):
remove magnesium from site.pp, DHCP/netboot

https://gerrit.wikimedia.org/r/292421

Change 292421 merged by Dzahn:
remove magnesium from site.pp, DHCP/netboot

https://gerrit.wikimedia.org/r/292421

Dzahn added a comment.Jun 2 2016, 8:23 PM

13:25 < mutante> !log magnesium (formerly RT) remove from puppet and icinga, revoked cert and salt key, just waiting another day or before shutdown

Change 292474 had a related patch set uploaded (by Dzahn):
remove magnesium's public IP

https://gerrit.wikimedia.org/r/292474

Change 292474 merged by Dzahn:
remove magnesium's public IP

https://gerrit.wikimedia.org/r/292474